package com.heyu.api.data.service.system;
/**
* <p>
* 同性词表（同性词非语言中的同义词，而是指正反一词和同一个结果的词） 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.system.SystemSameTalkEntity;
public interface SystemSameTalkService extends IService<SystemSameTalkEntity> {



	SystemSameTalkEntity selectSystemSameTalkById(Long id);


	Long insertSystemSameTalk(SystemSameTalkEntity systemSameTalk);


	Long insertOrUpdateSystemSameTalk(SystemSameTalkEntity systemSameTalk);


	int updateSystemSameTalkById(SystemSameTalkEntity systemSameTalk);


	int updateCoverSystemSameTalkById(SystemSameTalkEntity systemSameTalk);


	int deleteSystemSameTalkById(Long id);


}